Skip to main content
`Ctrl`+`K`

# EPSPowerGetShiftType

Gets the type of shifts used during the power iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetShiftType(EPS eps,EPSPowerShiftType *shift)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- shift - the type of shift

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetShiftType()`, `EPSPowerShiftType`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Implementations

EPSPowerGetShiftType_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages